%define build_dvi 1

%define major		4
%define api		4.0
%define gir_major	3.0
%define libname		%mklibname %{name} %{major}
%define devname 	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	GNOME Document viewer
Name:		evince
Version:	3.14.2
Release:	%mkrel 2
License:	GPLv2+ and GFDL+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:		evince-3.1.90-link.patch
Requires:	ghostscript
Requires:	ghostscript-module-X
Requires:	gsettings-desktop-schemas
Requires:	gnome-icon-theme-symbolic
Requires:	gnome-themes-standard
BuildRequires: ghostscript
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gnome-common
BuildRequires: gnome-icon-theme
BuildRequires: gtk-doc
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: itstool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}djvulibre-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gxps-devel
BuildRequires: %{_lib}kpathsea-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}secret-devel
BuildRequires: %{_lib}spectre-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xml2-devel

%description
Evince is the GNOME Document viewer. It supports PDF, PostScript and other formats.
To view .dvi files as produced by TeX in evince, install the %{name}-dvi package.

#german
%description -l de
Evince ist der GNOME Document Viewer. Seine unterstützt PDF-, PostScript-und andere Formate.


%if %build_dvi
%package dvi
Summary:	TeX DVI document support for evince
Group:		Graphical desktop/GNOME
BuildRequires:	kpathsea-devel
Requires:	texlive
Requires:	texlive-texmf
Requires:	%{name} = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to evince. These files are 
produced by TeX, often using a macro package like LaTeX.
%endif

%package devel
Group:		Development/Libraries
Summary:	GNOME Document viewer library
Requires:	%{name} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This is the GNOME Document viewer library, the shared parts of evince.

%package doc
Group:		Documentation
Summary:	GNOME Document viewer library
Requires:	%{name} = %{version}

%description doc
Documentation files for %name.



%prep
%setup -q
%patch0 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--enable-tiff \
	--enable-djvu \
	--enable-comics \
%if %build_dvi
 	--enable-dvi \
%endif
 	--enable-gtk-doc \
	--enable-introspection \
	--disable-static \
	--disable-nautilus \
	--disable-schemas-compile

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

find %{buildroot} -name *.la | xargs rm

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-category="X-MandrivaLinux-Office-Publishing"\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# I hate generic names in menu
perl -pi -e "s|Document Viewer|Evince PDF Viewer|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
perl -pi -e "s|NoDisplay=true|NoDisplay=false|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.gnome2/evince; done

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.gnome2; done


%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS TODO
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/evince*
%{_datadir}/glib-2.0/schemas/org.gnome.Evince.gschema.xml
%{_datadir}/GConf/gsettings/evince.convert
%{_mandir}/man1/evince.1*
%dir %{_libdir}/evince/%{major}/
%dir %{_libdir}/evince/%{major}/backends
%{_libdir}/evince/%{major}/backends/libcomicsdocument.so
%{_libdir}/evince/%{major}/backends/comicsdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libdjvudocument.so
%{_libdir}/evince/%{major}/backends/djvudocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpdfdocument.so
%{_libdir}/evince/%{major}/backends/pdfdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpsdocument.so
%{_libdir}/evince/%{major}/backends/psdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libtiffdocument.so
%{_libdir}/evince/%{major}/backends/tiffdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libxpsdocument.so
%{_libdir}/evince/%{major}/backends/xpsdocument.evince-backend

%{_libdir}/mozilla/plugins/libevbrowserplugin.so

%{_libexecdir}/evinced
%{_datadir}/dbus-1/services/org.gnome.evince.Daemon.service
%{_datadir}/thumbnailers/evince.thumbnailer
%{_libdir}/libevdocument3.so.%{major}*
%{_libdir}/libevview3.so.3*
%{_libdir}/girepository-1.0/EvinceDocument-%{gir_major}.typelib
%{_libdir}/girepository-1.0/EvinceView-%{gir_major}.typelib
%{_datadir}/help

%{_datadir}/appdata/evince-comicsdocument.metainfo.xml
%{_datadir}/appdata/evince-djvudocument.metainfo.xml
%{_datadir}/appdata/evince-dvidocument.metainfo.xml
%{_datadir}/appdata/evince-pdfdocument.metainfo.xml
%{_datadir}/appdata/evince-psdocument.metainfo.xml
%{_datadir}/appdata/evince-tiffdocument.metainfo.xml
%{_datadir}/appdata/evince-xpsdocument.metainfo.xml
%{_datadir}/appdata/evince.appdata.xml


%if %build_dvi
%files dvi
%{_libdir}/evince/%{major}/backends/libdvidocument.so
%{_libdir}/evince/%{major}/backends/dvidocument.evince-backend
%endif


%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_datadir}/gtk-doc/html/evince
%{_libdir}/libevdocument3.so
%{_libdir}/libevview3.so
%{_libdir}/pkgconfig/evince*pc
%{_includedir}/evince*
%{_datadir}/gir-1.0/EvinceDocument-%{gir_major}.gir
%{_datadir}/gir-1.0/EvinceView-%{gir_major}.gir
%{_datadir}/gtk-doc


%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Fri Nov 18 2016 adrianomorselli <adrianomorselli> 3.14.2-1uplos2016
- rebuild

* Sun Jun 05 2016 bb <bb> 3.14.2-2pclos2016
- fix permissions on .gnome2 folder

* Sat Oct 24 2015 bb <bb> 3.14.2-1pclos2015
- update

* Sat Jul 11 2015 bb <bb> 3.14.0-2pclos2015
- add dep on gnome-icon-theme-symbolic
- add dep on gnome-themes-standard

* Sat Jul 11 2015 bb <bb> 3.14.0-1pclos2015
- update
